use serde::{Deserialize, Serialize};
use strum::Display;

#[derive(Default, Debug, Clone, PartialEq, Eq, Display, Serialize, Deserialize)]
pub enum ActionLevel {
    #[default]
    Info,
    Warn,
    Error,
}

#[derive(Default, Debug, Clone, PartialEq, Eq, Display, Serialize, Deserialize)]
pub enum ActionTarget {
    #[default]
    WalletLog,
    ValidatorLog,
    NominatorLog,
}
