use codec::Decode;
use serde::{Serialize, Deserialize};

#[derive(Debug, Default, Clone, PartialEq, Eq, Serialize, Deserialize, Decode)]
pub struct EraRewardPoints {
    pub nonce: u32,
    pub free: u128,
    pub reserved: u128,
    pub frozen: u128,
}
